/* $Valkyrie: Valkyrie/Valkyrie/singleinst.cpp,v 1.5 2004/12/16 12:55:33 genie0610 Exp $ */

/* 
 * Copyright (c) 2004, YoungJin Shin <pop@jiniya.net>.
 * All rights reserved. 
 * 
 * Redistribution and use in source and binary forms, with or without 
 * modification, are permitted provided that the following conditions 
 * are met: 
 * 1. Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright 
 *    notice, this list of conditions and the following disclaimer in 
 *    the documentation and/or other materials provided with the 
 *    distribution. 
 * 3. Original authors' names are not deleted. 
 * 4. The authors' names are not used to endorse or promote products 
 *    derived from this software without specific prior written 
 *    permission. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND 
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE 
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE 
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL 
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS 
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) 
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT 
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY 
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF 
 * SUCH DAMAGE. 
 * 
 */ 

//
// singleinst.cpp: α׷ ߺ   Ŭ
//

#include "stdafx.h"
#include "singleinst.h"

//
//  ؽ ؼ ߺ  üũ
//
// Ķ
//		lpszMutexName	[in]	ؽ ̸
CSingleInstance::CSingleInstance(LPCTSTR lpszMutexName)
{
	TCHAR	szBuffer[MAX_PATH] = {0};

	// 2000 ̻  Global Ʈ ̸ Ѵ.
	if(LOWORD(GetVersion()) >= 5)
		strcpy(szBuffer, "Global\\");

	strcat(szBuffer, lpszMutexName);

	m_hGlbMutex = CreateMutex(NULL, FALSE, szBuffer);
	if(GetLastError() == ERROR_ALREADY_EXISTS)
	{
		CloseHandle(m_hGlbMutex);
		m_hGlbMutex = NULL;
	}
}

// ؽ ڵ 
CSingleInstance::~CSingleInstance()
{
	if(m_hGlbMutex)
		CloseHandle(m_hGlbMutex);
}

//
// ̹  α׷ ִ ˻
//
// Ķ 
//
// ϰ
//		ϴ  1, ó   0 
BOOL CSingleInstance::IsExist()
{
	return m_hGlbMutex == NULL;
}